0 Replies Latest reply on Mar 25, 2002 10:59 AM by 240519

    Oracle 7.3.4 to 8i oo4o 2,2 - overflow runtime errors

    240519
      We are in a process of transitioning our applications across to Oracle 8i (8.1.6) and part of this involves an older app using VB4.0 16 bit running through OO4O 2.2 and connecting to Oracle 7.3.4.
      Whilst the application connects and runs fine for the majority of the time we do get spurrious runtime errors usually as Overflows. These are caused by simple databse actions usually when one follows the other e.g. insert/update or delete.
      This can be addressed to a certain extent by executing a .refresh on the recordset but this is not a watertight solution.
      I think the only sensible course of action would be to upgrade our OO4O to a version that works with Oracle 8.1.6 but I have a number of questions:

      What would be the version to use to maintain compatibility between VB4.0.

      We are using 16 bit VB4.0. Is there a 16 bit version of OO4O that caters for our situation? If not what would be the implication of running 32bit OO4O with a 16bit client.

      We have a site wide Oracle license. Would we be covered for downloading a more recent version of OO4O?

      Thanks